Class | Spec::Runner::QuietBacktraceTweaker
In: | lib/spec/runner/backtrace_tweaker.rb
Parent: | BacktraceTweaker

Tweaks raised Exceptions to mask noisy (unneeded) parts of the backtrace

### Methods

tweak_backtrace

### Constants

IGNORE_PATTERNS | = | spec_files + [ /\/lib\/ruby\//, /bin\/spec:/, /bin\/rcov:/, /lib\/rspec-rails/, /vendor\/rails/, # TextMate's Ruby and RSpec plugins /Ruby\.tmbundle\/Support\/tmruby.rb:/, /RSpec\.tmbundle\/Support\/lib/, /temp_textmate\./, /mock_frameworks\/rspec/, /spec_server/

### Public Instance methods

tweak_backtrace(error)

[Validate]